This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 161475 - krb5 krb5_principal_compare NULL pointer crash
krb5 krb5_principal_compare NULL pointer crash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-23 12:42 EDT by Josh Bressers
Modified: 2008-02-16 22:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-16 22:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-06-23 12:42:48 EDT
+++ This bug was initially created as a clone of Bug #161471 +++

Suse reported krb5 crashes while comparing principals using
"krb5_principal_compare" because it doesn't check for NULL pointers.

The patch for this issue is attachment 115882 [details]
Comment 1 Josh Bressers 2005-06-23 12:44:13 EDT
This issue should also affect FC3
Comment 3 Mark J. Cox (Product Security) 2005-07-12 13:58:51 EDT
removing embargo
Comment 4 Christian Iseli 2007-01-22 05:33:45 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 petrosyan 2008-02-16 22:52:25 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.